## ros-r2b2-rmw-fastrtps-cpp 0.0.2

=== CMakeLists.txt ===
# Copyright 2016 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_fastrtps_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcutils REQUIRED)

find_package(fastrtps_cmake_module REQUIRED)
find_package(fastcdr REQUIRED CONFIG)
find_package(fastrtps REQUIRED CONFIG)
find_package(FastRTPS REQUIRED MODULE)

find_package(rmw REQUIRED)
find_package(rosidl_generator_c REQUIRED)
find_package(rosidl_generator_cpp REQUIRED)
find_package(rosidl_typesupport_introspection_c REQUIRED)
find_package(rosidl_typesupport_introspection_cpp REQUIRED)

ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)
ament_export_dependencies(rosidl_generator_c)
ament_export_dependencies(rosidl_generator_cpp)
ament_export_dependencies(rosidl_typesupport_introspection_c)
ament_export_dependencies(rosidl_typesupport_introspection_cpp)

include_directories(include)

add_library(rmw_fastrtps_cpp
  src/functions.cpp
)
target_link_libraries(rmw_fastrtps_cpp
  fastcdr fastrtps)

ament_target_dependencies(rmw_fastrtps_cpp
  "rcutils"
  "rosidl_typesupport_introspection_c"
  "rosidl_typesupport_introspection_cpp"
  "rmw"
  "rosidl_generator_c"
  "rosidl_generator_cpp")

configure_rmw_library(rmw_fastrtps_cpp)

ament_export_libraries(rmw_fastrtps_cpp)
if(NOT WIN32 AND NOT ANDROID)
  ament_export_libraries(pthread)
endif()

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_introspection_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_introspection_cpp")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rmw_fastrtps_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_fastrtps_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-r2b2-rmw-fastrtps-cpp (0.0.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ricardo González <ricardogonzalez@eprosima.com>  Sat, 01 Jul 2017 06:24:18 -0000

=== debian/control ===
Source: ros-r2b2-rmw-fastrtps-cpp
Section: misc
Priority: extra
Maintainer: Ricardo González <ricardogonzalez@eprosima.com>
Build-Depends: debhelper (>= 9.0.0), ros-r2b2-ament-cmake-ros, ros-r2b2-ament-lint-auto, ros-r2b2-ament-lint-common, ros-r2b2-fastcdr, ros-r2b2-fastrtps, ros-r2b2-fastrtps-cmake-module, ros-r2b2-rcutils, ros-r2b2-rmw, ros-r2b2-rosidl-generator-c, ros-r2b2-rosidl-generator-cpp, ros-r2b2-rosidl-typesupport-introspection-c, ros-r2b2-rosidl-typesupport-introspection-cpp, ros-r2b2-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-r2b2-rmw-fastrtps-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-r2b2-ament-cmake, ros-r2b2-fastcdr, ros-r2b2-fastrtps, ros-r2b2-fastrtps-cmake-module, ros-r2b2-rcutils, ros-r2b2-rmw, ros-r2b2-rosidl-generator-c, ros-r2b2-rosidl-generator-cpp, ros-r2b2-rosidl-typesupport-introspection-c, ros-r2b2-rosidl-typesupport-introspection-cpp, ros-r2b2-ros-workspace
Description: Implement the ROS middleware interface using eProsima FastRTPS static code generation in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b2/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Build type specific exports if any.

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/r2b2" -DAMENT_PREFIX_PATH="/opt/ros/r2b2"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b2-rmw-fastrtps-cpp//opt/ros/r2b2/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_install
